# Uses of Interface
org.eclipse.e4.ui.model.application.ui.basic.MPartSashContainer

Packages that use MPartSashContainer
Package
Description
org.eclipse.e4.ui.model.application.ui.advanced
Application programming interfaces describing the advanced Eclipse 4 user interface model elements.
org.eclipse.e4.ui.model.application.ui.advanced.impl
org.eclipse.e4.ui.model.application.ui.advanced.util
org.eclipse.e4.ui.model.application.ui.basic
Application programming interfaces describing the basic Eclipse 4 user interface model elements.
org.eclipse.e4.ui.model.application.ui.basic.impl
org.eclipse.e4.ui.model.application.ui.basic.util

## Uses of MPartSashContainer in org.eclipse.e4.ui.model.application.ui.advanced

Subinterfaces of MPartSashContainer in org.eclipse.e4.ui.model.application.ui.advanced
Modifier and Type
Interface
Description
`interface`
`MArea`
A representation of the model object 'Area'.

## Uses of MPartSashContainer in org.eclipse.e4.ui.model.application.ui.advanced.impl

Classes in org.eclipse.e4.ui.model.application.ui.advanced.impl that implement MPartSashContainer
Modifier and Type
Class
Description
`class`
`AreaImpl`
An implementation of the model object 'Area'.

## Uses of MPartSashContainer in org.eclipse.e4.ui.model.application.ui.advanced.util

Methods in org.eclipse.e4.ui.model.application.ui.advanced.util with parameters of type MPartSashContainer
Modifier and Type
Method
Description
`T1`
AdvancedSwitch.`casePartSashContainer(MPartSashContainer object)`
Returns the result of interpreting the object as an instance of 'Part Sash Container'.

## Uses of MPartSashContainer in org.eclipse.e4.ui.model.application.ui.basic

Methods in org.eclipse.e4.ui.model.application.ui.basic that return MPartSashContainer
Modifier and Type
Method
Description
`MPartSashContainer`
MBasicFactory.`createPartSashContainer()`
Returns a new object of class 'Part Sash Container'.

## Uses of MPartSashContainer in org.eclipse.e4.ui.model.application.ui.basic.impl

Classes in org.eclipse.e4.ui.model.application.ui.basic.impl that implement MPartSashContainer
Modifier and Type
Class
Description
`class`
`PartSashContainerImpl`
An implementation of the model object 'Part Sash Container'.
Methods in org.eclipse.e4.ui.model.application.ui.basic.impl that return MPartSashContainer
Modifier and Type
Method
Description
`MPartSashContainer`
BasicFactoryImpl.`createPartSashContainer()`

## Uses of MPartSashContainer in org.eclipse.e4.ui.model.application.ui.basic.util

Methods in org.eclipse.e4.ui.model.application.ui.basic.util with parameters of type MPartSashContainer
Modifier and Type
Method
Description
`T1`
BasicSwitch.`casePartSashContainer(MPartSashContainer object)`
Returns the result of interpreting the object as an instance of 'Part Sash Container'.